Page MenuHomePhabricator

Shorten MediaViewer credit lines
Closed, ResolvedPublic

Description

MediaViewer creates a credit line from the file name, description page URL, source and license. At least the first two tend to be terribly long, making the result somewhat useless. E.g. "Iglesia de San Pedro, Teruel, España, 2014-01-10, DD 11-12 HDR" by Diego Delso. Licensed under CC BY-SA 4.0 via Wikimedia Commons - https://commons.wikimedia.org/wiki/File:Iglesia_de_San_Pedro,_Teruel,_Espa%C3%B1a,_2014-01-10,_DD_11-12_HDR.JPG#/media/File:Iglesia_de_San_Pedro,_Teruel,_Espa%C3%B1a,_2014-01-10,_DD_11-12_HDR.JPG - no one is actually going to use this anywhere. Instead, reusers seem to come up with their own short credit lines which are often really wrong. We should figure out how to provide a credit line that's actually useful.

The ideal description would be something like this:

  • text: [short description] (Image: [source], [license], [short URL])
  • HTML: <a href="[full URL]">[short description]</a> (Image: [source], <a href="[license URL]">[license]</a>)

For now, we could probably omit the short description and the parantheses and do the rest.

Event Timeline

Tgr created this task.Nov 26 2015, 12:41 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a project: MediaViewer.
Tgr added a subscriber: Tgr.
Restricted Application added subscribers: StudiesWorld, Steinsplitter, Aklapper. · View Herald TranscriptNov 26 2015, 12:41 AM
Tgr added a comment.Nov 26 2015, 12:47 AM

CC-ing WMF-Legal. Example of old credit line is:
"Iglesia de San Pedro, Teruel, España, 2014-01-10, DD 11-12 HDR" by Diego Delso. Licensed under CC BY-SA 4.0 via Wikimedia Commons - https://commons.wikimedia.org/wiki/File:Iglesia_de_San_Pedro,_Teruel,_Espa%C3%B1a,_2014-01-10,_DD_11-12_HDR.JPG#/media/File:Iglesia_de_San_Pedro,_Teruel,_Espa%C3%B1a,_2014-01-10,_DD_11-12_HDR.JPG
Example of suggested credit line is:
By Diego Delso, CC BY-SA 4.0, https://commons.wikimedia.org/w/index.php?curid=35074221
Do you see a problem with that change?

Jhernandez triaged this task as Normal priority.Nov 26 2015, 6:13 PM
Jhernandez added a subscriber: Jhernandez.

This would be incredibly useful for people publishing in print media, the shortening of the URL you have suggested really helps as well.

Unicornisaurous added a subscriber: Unicornisaurous.

I have claimed this on the GCI website.

Tgr added a subscriber: WMF-Legal.Dec 23 2015, 8:41 PM

(actually CC-ing Legal...)

Tgr removed a subscriber: WMF-Legal.

Or rather, adding it as a project.

CC-ing WMF-Legal. Example of old credit line is:
"Iglesia de San Pedro, Teruel, España, 2014-01-10, DD 11-12 HDR" by Diego Delso. Licensed under CC BY-SA 4.0 via Wikimedia Commons - https://commons.wikimedia.org/wiki/File:Iglesia_de_San_Pedro,_Teruel,_Espa%C3%B1a,_2014-01-10,_DD_11-12_HDR.JPG#/media/File:Iglesia_de_San_Pedro,_Teruel,_Espa%C3%B1a,_2014-01-10,_DD_11-12_HDR.JPG
Example of suggested credit line is:
By Diego Delso, CC BY-SA 4.0, https://commons.wikimedia.org/w/index.php?curid=35074221
Do you see a problem with that change?

I think this change looks good. I would recommend coming up with a consistent standard set of information that provides credit to the author(s), indicates the license terms with a name and URL, and provides a permanent link to the image's full records on Wikimedia Commons. We may want to include the title where it can be humanly shortened. For example: Iglesia de San Pedro, by Diego Delso CC BY-SA 4.0.

In legal terms, this example is sufficient (depending on what is reasonable to the medium or means) if we add a link to the CC BY-SA 4.0 legal code. Let's discuss by email if you have any questions about the legal minimum -- I'm happy to prepare more detailed guidance.

Tgr added a comment.Dec 23 2015, 11:52 PM

Thanks!

We may want to include the title where it can be humanly shortened.

I think that's a good goal for the future (structured data etc) but right now it can't. Opened T122381 to track it.

RP88 added a subscriber: RP88.Dec 24 2015, 1:00 AM

Change 260955 had a related patch set uploaded (by Unicornisaurous):
Shorten MediaViewer credit lines

https://gerrit.wikimedia.org/r/260955

Change 260955 merged by jenkins-bot:
Shorten MediaViewer credit lines

https://gerrit.wikimedia.org/r/260955

Unicornisaurous closed this task as Resolved.Jan 13 2016, 12:08 AM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMar 24 2016, 9:37 AM
Tgr added a comment.Mar 24 2016, 2:12 PM

@Mrjohncummings: not really related to this task, but I made a proposal at Commons talk:Machine-readable data#Template replacement text.

Mrjohncummings reopened this task as Open.Aug 30 2016, 3:06 PM

The HTML credit has a bare URL in it which makes it much less likely people will reuse the image. Can it just be shown as 'link' or something?

I can work on this in the next few days.

This comment was removed by Mrjohncummings.
ZhouZ moved this task from Backlog to Legal Done on the WMF-Legal board.Sep 1 2016, 8:40 PM

@Unicornisaurous Wonderful, thanks very much, happy to test anything if its helpful

@Mrjohncummings Sorry this has taken longer than I originally intended! I'll be uploading a patch in just a few minutes. I am implementing what you had mentioned with the link test saying "Link", but I wonder if it would be better to use the article title instead.

Change 308421 had a related patch set uploaded (by Unicornisaurous):
Shorten clickable link text in HTML credit lines

https://gerrit.wikimedia.org/r/308421

@Unicornisaurous I just tried to make a HTML link and it still displays the bare URL, is this because there is some sort of delay in committing the code to Commons?

@Mrjohncummings It was never merged. Awaiting code review in Gerrit.

@Unicornisaurous ok, thanks, so it goes through a code review and then gets implemented? do you know roughly how long this might take?

Change 308421 merged by jenkins-bot:
Shorten clickable link text in HTML credit lines

https://gerrit.wikimedia.org/r/308421

Jdlrobson closed this task as Resolved.Oct 11 2016, 9:06 PM
Jdlrobson added a subscriber: Jdlrobson.

Should be resolved now.

Restricted Application added a project: Multimedia. · View Herald TranscriptMar 6 2018, 11:45 PM